Bug 108692

Summary: Web Inspector: add round braces to javascript tokenizer
Product: WebKit Reporter: Andrey Lushnikov <lushnikov>
Component: Web Inspector (Deprecated)Assignee: Andrey Lushnikov <lushnikov>
Status: RESOLVED FIXED    
Severity: Normal CC: apavlov, keishi, loislo, pfeldman, pmuellr, vsevik, web-inspector-bugs, webkit.review.bot, yurys
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Bug Depends on:    
Bug Blocks: 108697    
Attachments:
Description Flags
Patch
none
Patch
none
Patch none

Description Andrey Lushnikov 2013-02-01 14:17:19 PST
Add round braces to javascript tokenizer.
Comment 1 Andrey Lushnikov 2013-02-01 14:18:10 PST
This change will be used in brace highlighter functionality.
Comment 2 Andrey Lushnikov 2013-02-01 14:23:15 PST
Created attachment 186137 [details]
Patch
Comment 3 Andrey Lushnikov 2013-02-01 14:39:23 PST
Comment on attachment 186137 [details]
Patch

testcases not updated.
Comment 4 Andrey Lushnikov 2013-02-01 14:54:52 PST
Created attachment 186149 [details]
Patch
Comment 5 Pavel Feldman 2013-02-02 03:59:02 PST
Comment on attachment 186149 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=186149&action=review

> Source/WebCore/inspector/front-end/SourceJavaScriptTokenizer.re2js:-180
> -                <DIV,NODIV> RightParen => DIV { this.tokenType = null; return cursor; }

DIV,NODIV => DIV means that we transition from the state where division is expected or not expected into the state where it is expected (this is due to "/" ambiguity - it might be division or regex start).
Comment 6 Andrey Lushnikov 2013-02-02 13:06:45 PST
Created attachment 186235 [details]
Patch
Comment 7 Andrey Lushnikov 2013-02-02 13:07:56 PST
Comment on attachment 186149 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=186149&action=review

>> Source/WebCore/inspector/front-end/SourceJavaScriptTokenizer.re2js:-180
>> -                <DIV,NODIV> RightParen => DIV { this.tokenType = null; return cursor; }
> 
> DIV,NODIV => DIV means that we transition from the state where division is expected or not expected into the state where it is expected (this is due to "/" ambiguity - it might be division or regex start).

thanks for clarifying this moment!
Comment 8 Build Bot 2013-02-02 14:14:10 PST
Comment on attachment 186235 [details]
Patch

Attachment 186235 [details] did not pass win-ews (win):
Output: http://queues.webkit.org/results/16343994
Comment 9 Build Bot 2013-02-02 15:15:29 PST
Comment on attachment 186235 [details]
Patch

Attachment 186235 [details] did not pass win-ews (win):
Output: http://queues.webkit.org/results/16359020
Comment 10 WebKit Review Bot 2013-02-04 09:43:55 PST
Comment on attachment 186235 [details]
Patch

Clearing flags on attachment: 186235

Committed r141774: <http://trac.webkit.org/changeset/141774>
Comment 11 WebKit Review Bot 2013-02-04 09:43:59 PST
All reviewed patches have been landed.  Closing bug.